OrcProto.Stream.Kind (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Enum OrcProto.Stream.Kind

- java.lang.Object
- - java.lang.Enum<OrcProto.Stream.Kind>
  - - org.apache.orc.OrcProto.Stream.Kind

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<OrcProto.Stream.Kind>
  Enclosing class:
    OrcProto.Stream

      public static enum OrcProto.Stream.Kind
      extends Enum<OrcProto.Stream.Kind>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `orc.proto.Stream.Kind`

       if you add new index stream kinds, you need to make sure to update
       StreamName to ensure it is added to the stripe in the right area

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOOM_FILTER` `BLOOM_FILTER = 7;`
    `BLOOM_FILTER_UTF8` `BLOOM_FILTER_UTF8 = 8;`
    `DATA` `DATA = 1;`
    `DICTIONARY_COUNT` `DICTIONARY_COUNT = 4;`
    `DICTIONARY_DATA` `DICTIONARY_DATA = 3;`
    `LENGTH` `LENGTH = 2;`
    `PRESENT` `PRESENT = 0;`
    `ROW_INDEX` `ROW_INDEX = 6;`
    `SECONDARY` `SECONDARY = 5;`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BLOOM_FILTER_UTF8_VALUE` `BLOOM_FILTER_UTF8 = 8;`
    `static int` | `BLOOM_FILTER_VALUE` `BLOOM_FILTER = 7;`
    `static int` | `DATA_VALUE` `DATA = 1;`
    `static int` | `DICTIONARY_COUNT_VALUE` `DICTIONARY_COUNT = 4;`
    `static int` | `DICTIONARY_DATA_VALUE` `DICTIONARY_DATA = 3;`
    `static int` | `LENGTH_VALUE` `LENGTH = 2;`
    `static int` | `PRESENT_VALUE` `PRESENT = 0;`
    `static int` | `ROW_INDEX_VALUE` `ROW_INDEX = 6;`
    `static int` | `SECONDARY_VALUE` `SECONDARY = 5;`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<OrcProto.Stream.Kind>` | `internalGetValueMap()`
    `static OrcProto.Stream.Kind` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static OrcProto.Stream.Kind` | `valueOf(int value)`
    `static OrcProto.Stream.Kind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OrcProto.Stream.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRESENT

          public static final OrcProto.Stream.Kind PRESENT

      `PRESENT = 0;`

    - #### DATA

          public static final OrcProto.Stream.Kind DATA

      `DATA = 1;`

    - #### LENGTH

          public static final OrcProto.Stream.Kind LENGTH

      `LENGTH = 2;`

    - #### DICTIONARY_DATA

          public static final OrcProto.Stream.Kind DICTIONARY_DATA

      `DICTIONARY_DATA = 3;`

    - #### DICTIONARY_COUNT

          public static final OrcProto.Stream.Kind DICTIONARY_COUNT

      `DICTIONARY_COUNT = 4;`

    - #### SECONDARY

          public static final OrcProto.Stream.Kind SECONDARY

      `SECONDARY = 5;`

    - #### ROW_INDEX

          public static final OrcProto.Stream.Kind ROW_INDEX

      `ROW_INDEX = 6;`

    - #### BLOOM_FILTER

          public static final OrcProto.Stream.Kind BLOOM_FILTER

      `BLOOM_FILTER = 7;`

    - #### BLOOM_FILTER_UTF8

          public static final OrcProto.Stream.Kind BLOOM_FILTER_UTF8

      `BLOOM_FILTER_UTF8 = 8;`

  - ### Field Detail

    - #### PRESENT_VALUE

          public static final int PRESENT_VALUE

      `PRESENT = 0;`
      See Also:
        Constant Field Values

    - #### DATA_VALUE

          public static final int DATA_VALUE

      `DATA = 1;`
      See Also:
        Constant Field Values

    - #### LENGTH_VALUE

          public static final int LENGTH_VALUE

      `LENGTH = 2;`
      See Also:
        Constant Field Values

    - #### DICTIONARY_DATA_VALUE

          public static final int DICTIONARY_DATA_VALUE

      `DICTIONARY_DATA = 3;`
      See Also:
        Constant Field Values

    - #### DICTIONARY_COUNT_VALUE

          public static final int DICTIONARY_COUNT_VALUE

      `DICTIONARY_COUNT = 4;`
      See Also:
        Constant Field Values

    - #### SECONDARY_VALUE

          public static final int SECONDARY_VALUE

      `SECONDARY = 5;`
      See Also:
        Constant Field Values

    - #### ROW_INDEX_VALUE

          public static final int ROW_INDEX_VALUE

      `ROW_INDEX = 6;`
      See Also:
        Constant Field Values

    - #### BLOOM_FILTER_VALUE

          public static final int BLOOM_FILTER_VALUE

      `BLOOM_FILTER = 7;`
      See Also:
        Constant Field Values

    - #### BLOOM_FILTER_UTF8_VALUE

          public static final int BLOOM_FILTER_UTF8_VALUE

      `BLOOM_FILTER_UTF8 = 8;`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static OrcProto.Stream.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OrcProto.Stream.Kind c : OrcProto.Stream.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OrcProto.Stream.Kind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static OrcProto.Stream.Kind valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<OrcProto.Stream.Kind> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static OrcProto.Stream.Kind valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.